#version 400
uniform sampler2DArray copyTex;
uniform float layer;
in vec2 fragTexCoord;
out vec4 result;
void main( void ) 
{
    vec4 texColor = texture( copyTex, vec3( fragTexCoord.xy, layer) );
    result = texColor;
}